<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
  ~ Digitale Dörfer Plattform
  ~ Copyright (C) Fraunhofer IESE 2018 - 2022 Balthasar Weitzel, Johannes Schneider
  ~
  ~ SPDX-License-Identifier: Apache-2.0
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~     http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog https://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">

    <!-- Deprecated properties, do not use them anymore -->
    <property name="clob.type" value="longtext" dbms="mysql"/>
    <property name="clob.type" value="varchar(100000)" dbms="h2"/>
    <property name="clob.type" value="nclob" dbms="mssql"/>
    <property name="varchar.type" value="varchar" dbms="mysql,h2"/>
    <property name="varchar.type" value="nvarchar" dbms="mssql"/>
    <property name="id.type" value="varchar(36)" dbms="mysql,h2"/>
    <property name="id.type" value="nvarchar(36)" dbms="mssql"/>
    <property name="enum.type" value="varchar(100)" dbms="mysql,h2"/>
    <property name="enum.type" value="nvarchar(100)" dbms="mssql"/>

    <!-- reference schema consisting of all changes before the creation of this schema -->
    <include file="liquibase-changeLog-reference-2022-10.xml" relativeToChangelogFile="true"/>

    <!-- changes that happened after the creation of the reference schema -->
    <include file="liquibase-changeLog-changes-2022-10.xml" relativeToChangelogFile="true"/>

</databaseChangeLog>